#
# spec file for package gtk3-theming-engines-unico
#
# norootforbuild
 
 
Name:           gtk3-theming-engine-unico
%define _name   gtk3-theming-engine-unico
Version:        0.1.0r95
Release:        1.1
Summary:        Unico Enginee for GTK3 Themes
License:        LGPL
Url:            https://launchpad.net/unico
Group:          System/GUI/GNOME
Source:         %{_name}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gtk3-devel
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkg-config
# We require the exact version of gtk3 we were compiled with since the engines are located in a versioned directory
%define gtk3_ver %(rpm -q --whatprovides --qf '%%{version}' gtk3)
Requires:       gtk3 = %{gtk3_ver}
Recommends:     %{name}-lang
# Prevent missing engine failures on bi-arch systems:
%ifarch x86_64 s390x
Recommends:     %{name}-32bit = %{version}
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Enhances:       gtk3
 
%description
This packages contains the Unico theme engine libraries for GTK3.

%prep
%setup -q -n %{_name}
 
%build
./autogen.sh
%configure 
%__make %{?_smp_mflags}
 
%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
find %{buildroot}%{_libdir} -name '*.a' -type f -delete -print
%fdupes %{buildroot}
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-, root, root)
%{_libdir}/gtk-3.0/*/theming-engines/*.so
 


 
%changelog
